////////////////////////////////////////////////////////////////////////////////

// Copyright (c) 1995-2004 Xilinx, Inc.

// All Right Reserved.

////////////////////////////////////////////////////////////////////////////////

//   ____  ____ 

//  /   /\/   / 

// /___/  \  /    Vendor: Xilinx 

// \   \   \/     Version : 7.1i

//  \   \         Application : 

//  /   /         Filename : game_title.v

// /___/   /\     Timestamp : 09/27/2004 11:01:05

// \   \  /  \ 

//  \___\/\___\ 

//

// This module displays the title, PONG, on the four seven segment LEDs of the Spartan3 Demo Board


`timescale 1ns / 1ps



module sevexp(bcd, an, seven_seg);



    input [3:0] bcd;

   output [7:0] seven_seg;
	output [3:0] an;

   
   reg [7:0] seven_seg;


assign an=4'b0111;
always @(bcd) begin
	case (bcd)	// The clock for determining display element must be slow enough 
							// to allow RC values to settle.
		
		4'b0000 : 
			seven_seg <= 8'b00000011;		  	// 7-seg number 0
			
		4'b0001 : 
			seven_seg <= 8'b10011111;		  	// 7-seg number 1
		4'b0010 : 
			seven_seg <= 8'b00100101;		  	// 7-seg number 2
		4'b0011 : 
			seven_seg <= 8'b00001101;		  	// 7-seg number 3
		4'b0100 : 
			seven_seg <= 8'b10011001;		  	// 7-seg number 4
		4'b0101 : 
			seven_seg <= 8'b01001001;		  	// 7-seg number 5
		4'b0110 : 
			seven_seg <= 8'b01000001;		  	// 7-seg number 6
		4'b0111 : 
			seven_seg <= 8'b00011111;		  	// 7-seg number 7
		4'b1000 : 
			seven_seg <= 8'b00000001;		  	// 7-seg number 8
		4'b1001 : 
			seven_seg <= 8'b00001001;		  	// 7-seg number 9

		default : 
		seven_seg <= 8'b11111111;		  	
      
	 endcase

	end   


endmodule